@font-face {
    font-family: "Creato Display Bold";
    src: url("./Resources/Fonts/CreatoDisplay/CreatoDisplay-Bold.otf");
}

@font-face {
    font-family: "Creato Display Regular";
    src: url("./Resources/Fonts/CreatoDisplay/CreatoDisplay-Regular.otf");
}

@font-face {
    font-family: "Creato Display Light Italic";
    src: url("./Resources/Fonts/CreatoDisplay/CreatoDisplay-LightItalic.otf");
}

body {
    background: fixed center no-repeat;
    background-image: url("https://images.pexels.com/photos/36290416/pexels-photo-36290416.jpeg");
    background-size: cover;
}

* {
    font-family: "Creato Display Regular";
}

body,
header * {
    margin: 0;
    padding: 0;
}

.searchbar,
.tag,
.card,
header {
    box-shadow: 0px 0px 5px gray;
}

header {
    position: fixed;
    display: flex;
    align-items: center;
    justify-content: space-between;
    top: 0;
    left: 0;
    background-color: white;
    margin: 1%;
    padding: 1%;
    height: 20px;
    width: 96%;
    border-radius: 10px;
    z-index: 1;
}

nav {
    display: flex;
    align-items: center;
    height: 100%;
    a {
        margin-inline: 20px;
        font-size: 2em;
        color: black;
        font-family: "Creato Display Light Italic";
        text-decoration: none;
    }
    a:hover {
        text-decoration: underline;
    }
}

main {
    margin-inline: 10%;
    margin-top: 8%;
    margin-bottom: 3%;
}

footer {
    color: white;
    justify-content: center;
    margin-bottom: 2%;
    display: none;
}

.filters .tag {
    color: black;
    background-color: white;
    padding: 5px;
    border-radius: 5px;
    margin-inline: 5px;
    font-family: "Creato Display Bold";
}

.cards {
    margin-top: 3%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    gap: 40px;
}

main * {
    text-decoration: none;
}

.card {
    width: 18cap;
    height: 28cap;
    position: relative;
    background-color: lightgray;
    border-radius: 10px;
    color: white;
    * {
        margin: 0;
        padding: 0;
    }
    button {
        margin-top: 4%;
        padding: 1%;
        border-radius: 5px;
        border: solid 1px gray;
    }
    button:hover {
        background-color: lightgray;
        cursor: pointer;
    }
    button:active {
        background-color: gray;
    }
}

.imgbox {
    height: 18cap;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: white;
    border-radius: 10px;
    img {
        max-width: 17cap;
        max-height: 17cap;
    }
}

.poptext {
    width: 60%;
    height: 100%;
    * {
        margin: 2%;
    }
    h1 {
        font-size: 3em;
    }
}

.buybut {
    font-size: 3em;
    text-decoration: underline;
    border-radius: 20px;
}

.cardtext .price,
.poptext .popprice {
    font-family: "Creato Display Light Italic";
}

.ex {
    float: right;
    width: 2%;
    margin-left: 1%;
    height: 100%;
    img {
        width: 100%;
    }
}

.popimg {
    float: right;
    width: 37%;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 2px solid;
    border-radius: 10px;
    img {
        max-width: 95%;
        max-height: 95%;
    }
}

.cardtext {
    margin: 4%;
}

.searchbar {
    float: right;
    border-radius: 5px;
    border-style: none;
}

.popup {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 2;
    align-items: center;
    justify-content: center;
    background-color: rgba(0, 0, 0, 0.3);
    display: none;
}

.info {
    width: 70%;
    height: 70%;
    background-color: white;
    border-radius: 25px;
    padding: 3%;
    display: inline-flex;
}

@media only screen and (max-width: 810px) {
    .filters {
        display: flex;
        justify-content: center;
        input {
            width: 100%;
        }
        .tag {
            display: none;
        }
        .searchbar {
            margin-top: 5%;
        }
    }
    .info {
        width: 100%;
        height: 100%;
        border-radius: 0;
    }
    .ex {
        width: 10%;
        margin-top: 5%;
    }
    .popimg {
        border-style: none;
    }
}
